### Enumeration

# FwupdPlugin ElfSectionHeaderType

since: 1.0

#### Declaration

    enum FwupdPlugin.ElfSectionHeaderType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_ELF_SECTION_HEADER_TYPE_NULL`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_PROGBITS`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_SYMTAB`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_STRTAB`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_RELA`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_HASH`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_DYNAMIC`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_NOTE`
  No description available.
  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_NOBITS`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_REL`
  No description available.
  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_SHLIB`
  No description available.
  - Value: `10`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_DYNSYM`
  No description available.
  - Value: `11`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_INIT_ARRAY`
  No description available.
  - Value: `14`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_FINI_ARRAY`
  No description available.
  - Value: `15`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_PREINIT_ARRAY`
  No description available.
  - Value: `16`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_GROUP`
  No description available.
  - Value: `17`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_SYMTAB_SHNDX`
  No description available.
  - Value: `18`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_NUM`
  No description available.
  - Value: `19`
  - Nickname: `None`
  - Available since: 1.0